%define	name	ohphone
%define	version	1.13.5
%define	release	4mdk
%{expand:%%define o_ver %(echo v%{version}| sed "s#\.#_#g")}
%define openh323_version 1.13.5.3
%define pwlib_version 1.6.6.3

Summary:	Initiate, or receive, a H.323 IP telephony call
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	MPL
Group:		Networking/Other
Source0:	%{name}-%{o_ver}-src.tar.bz2
Patch0:		ohphone-1.2.11-openh323path.patch.bz2
#Patch1:	ohphone-1.2.11-c++fixes.patch.bz2
Patch2:		ohphone-1.13.5-lib64.patch.bz2
Patch3:		ohphone_1.4.1.ffh263codec_include.patch.bz2
URL:		http://openh323.sourceforge.net/
BuildRequires:	openh323-devel >= %openh323_version pwlib-devel >= %pwlib_version XFree86-static-devel
Conflicts:	vpb-devel
BuildConflicts:	svgalib-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description 
ohphone is a command line application that can be used to listen for
incoming H.323 calls, or to initiate a call to a remote host. Although
originally intended as a test harneess for the OpenH323 project (see
http://www.openh323.org) it has developed into a fully functional
H.323 endpoint application.

%prep
%setup -qn %{name}
%patch0 -p1 -b .openh323path
#%patch1 -p1 -b .c++fixes
%patch2 -p1 -b .lib64
%patch3 -p1 -b .codec263_include

%build
#export LIBRARY_MAKEFILE=1
#PWLIBDIR=/usr; export PWLIBDIR
#OPENH323DIR=/usr; export OPENH323DIR
#%{make} optshared OPTCCFLAGS="$RPM_OPT_FLAGS"
%make optshared OPTCCFLAGS="$RPM_OPT_FLAGS" PWLIBDIR=/usr/share/pwlib OPENH323DIR=/usr PREFIX=/usr PWLIB_BUILD=1


%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}
%ifarch %ix86
install obj_linux_x86_?/%{name} $RPM_BUILD_ROOT%{_bindir}
%else
%ifarch alpha
install obj_linux_%{_arch}-*/%name %buildroot/%_bindir
%else
install obj_linux_%{_arch}_*/%name %buildroot/%_bindir
%endif
%endif
install %{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ReadMe.txt
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man*/*

%changelog
* Thu Sep 30 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.13.5-4mdk
- nuke buildrequires and even conflict with vpb-devel
- rework lib64 patch to be compatible with latest pwlib/openh323 changes

* Wed Sep 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.13.5-3mdk
- Rebuild with latest pwlib/openh323

* Tue Jun 29 2004 Michael Scherer <misc@mandrake.org> 1.13.5-2mdk 
- rebuild for new gcc

* Thu May 20 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.13.5-1mdk
- 1.13.5

* Wed May 19 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.13.4-2mdk
- fix buildrequires

* Tue May 04 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.13.4-1mdk
- 1.13.4
- fix buildrequires
- add svgalib-devel to BuildConflicts as we don't build against svgalib since
  it's in contrib
- update url
- drop P1 as it was'nt applied
- do parallell build

* Tue Sep 23 2003 Florin <florin@mandrakesoft.com> 1.4.1-1mdk
- 1.4.1
- add the h263codec_include patch

* Tue Mar 11 2003 Florin <florin@mandrakesoft.com> 1.3.5-1mdk
- 1.3.5
- update requires
- remove already intergrated c++fixes patch
- update the lib64 patch

* Sun Dec  1 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.11-2mdk
- Patch2: Make it lib64 aware

* Thu Nov 28 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.11-1mdk
- 1.2.11
- Patch0: Usual patchery for correct inclusion of openh323 rules
- Patch1: Trivial ISO C++ fixes

* Mon May 06 2002 Florin <florin@mandrakesoft.com> 1.2.2-1mdk
- 1.2.2

* Tue Mar 12 2002 Florin <florin@mandrakesoft.com> 1.2.0-2mdk
- rebuild against the latest pwlib

* Tue Feb 26 2002 Florin <florin@mandrakesoft.com> 1.2.0-1mdk
- 1.2.0

* Wed Dec  5 2001 Stew Benedict <sbenedict@mandrakesoft.com> 1.1.7-3mdk
- more non-x86 fix

* Mon Dec  3 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 1.1.7-2mdk
- fix non-x86 build

* Fri Nov 30 2001 Florin <florin@mandrakesoft.com> 1.1.7-1mdk
- 1.1.7
- add the ReadMe.txt file

* Tue Oct 23 2001 Florin <florin@mandrakesoft.com> 1.1.4-3mdk
-  recompile with the new pwlib1 and openh323_1

* Wed Sep 12 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.1.4-2mdk
- add Requires on the pwlib1 and openh323 version-release

* Sun Jul 22 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.1.4-1mdk
- 1.1.4

* Sun Jun 10 2001 Stefan van der Eijk <stefan@eijk.nu> 1.1.1-3mdk
-BuildRequires:	openh323-devel pwlib-devel

* Tue Jan 23 2001 David BAUDENS <baudens@mandrakesoft.com> 1.1.1-2mdk
- Aloow build on non %%ix86 architectures

* Mon Jan 15 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.1.1-1mdk
- first Linux-Mandrake version.
